#### Previous topic

scipy.special.eval_chebyu

#### Next topic

scipy.special.eval_chebys

# scipy.special.eval_chebyc

`scipy.special.``eval_chebyc`(n, x, out=None) = <ufunc 'eval_chebyc'>

  Evaluate Chebyshev polynomial of the first kind on [-2, 2] at a point.

  These polynomials are defined as

  \[S_n(x) = T_n(x/2)\]

  where \(T_n\) is a Chebyshev polynomial of the first kind.

  Parameters:

  n : array_like

  > Degree of the polynomial. If not an integer, the result is determined via the relation to `eval_chebyt`.

  x : array_like

  > Points at which to evaluate the Chebyshev polynomial

  Returns:

  C : ndarray

  > Values of the Chebyshev polynomial

  See also

  `roots_chebyc`
    roots and quadrature weights of Chebyshev polynomials of the first kind on [-2, 2]
  `chebyc`
    Chebyshev polynomial object
  `numpy.polynomial.chebyshev.Chebyshev`
    Chebyshev series
  `eval_chebyt`
    evaluate Chebycshev polynomials of the first kind